#! /bin/sh
# interactively run test.

PORT=3999

# ../rnas-replay-multi -c $PORT ../test-loadoutput.txt & 
../rnas-replay-multi -s1 -c $PORT $(seq 1 200 | sed -e 's,^,../replay-long-test/log/,' -e 's,$,.log,') &
sleep 1s
BG=$!
./rnas-monitor-gtk -s1 -p localhost -c $PORT '(generation "load average" load1 2)' '(singlepoint "load average" load1 load2 0 10 0 10)' '(text "load average for minute" load1)' '(text "Evaluation best value" dga-evalinfo)' '(text "Time ran" time)' '(progress "Migration" dga-evalinfo -30 0)' '(layer-text "Layer text" Seen-By 3)'
sleep 1s
kill $BG